All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.util
Class ContentServlet

    com.sas.servlet.util.ContentServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. As of version 3.0, this class has been replaced by `com.sas.servlet.util.StreamContentServlet`.

    public class ContentServlet

The ContentServlet servlet is used to deliver arbitrary MIME type to HTTP clients. In order to deliver content back to the client, the ContentServlet requires that the following parameters be available on either the request or session object.

Parameter Name | Use | Required
--- | --- | ---
src | specifies the value to prepended to parameter names below to uniquely identify the content request. Only used when passing parameters via the session object. | Yes
type | specifies the MIME type of the content. Used as the parameter to the response.setContentType() method. | Yes
contentDisposition | specifies the value to be used to set the Content-Disposition response header field. | No
contentBytes | specifies the content to be streamed back to the user. | Yes

In order to use the ContentServlet, you may need to register the servlet with the appilcation server that you are deploying on. Please refer to the Deploying AppDev Studio Web Applications on Specific Application Servers section of the document entitled Web Application Deployment Tips and Tricks for more information on how to register the ContentServlet.

See Also:
  Serialized Form

Constructor Summary
`ContentServlet()` Deprecated.

Method Summary
`java.lang.String` | `getServletInfo()` Deprecated.
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated. Writes the content bytes to the output stream

Constructor Detail

### ContentServlet

    public ContentServlet()

  Deprecated.

Method Detail

### getServletInfo

    public java.lang.String getServletInfo()

  Deprecated.
  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Deprecated.
  Writes the content bytes to the output stream

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - the servlet request object
    `response` - the servlet response object
  Throws:
    `javax.servlet.ServletException` - if a servlet exception occurs
    `java.io.IOException` - if an I/O exception occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.